#!/bin/sh
. gettext.sh
cat "$0"
echo "
# gettext in a nut shell"
#
export TEXTDOMAIN=sample_i18n_gettext

echo "
1st simple gettext:"
echo $(gettext 'hello world')

echo "
2nd gettext and variables:"
x="$(gettext 'silly')"
eval echo $(gettext 'hello $x world')

echo "
3rd gettext and another catalog (welcome1stboot):"
echo $(gettext welcome1stboot 'Welcome')

echo "
4th gettext and number:"
[ "`which ngettext`" ] || err="Sorry, ngettext is missing in this system"

if [ ! "$err" ]; then
 for n in 1 2 6; do
  eval echo $(ngettext 'There is just one $x method' 'There are $n $x methods' $n)
 done
else
 echo $err 
fi
echo "
that's it.
Without eval_gettext and without /usr/bin/gettext.sh
without eval_ngettext
"
[ "$err" ] && echo $err
